Get a notification
curl --request GET \
--url https://api-staging.pixwel.com/api/notifications/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-staging.pixwel.com/api/notifications/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-staging.pixwel.com/api/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"from": "507f1f77bcf86cd799439011",
"to": "507f1f77bcf86cd799439011",
"event": {
"_id": "507f1f77bcf86cd799439011",
"processed": true,
"pushed": true,
"digested": true,
"created": 123,
"body": "<string>",
"graphicsFile": {
"id": "<string>",
"url": "https://example.com/path/to/object",
"name": "<string>",
"rootId": "<string>",
"version": 123
},
"graphicsComment": {
"id": "<string>",
"replyTo": "<string>",
"body": "<string>",
"user": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "user@example.com"
},
"created": 123,
"fileId": "<string>"
},
"notify": {
"users": [
"507f1f77bcf86cd799439011"
],
"groups": [
"507f1f77bcf86cd799439011"
]
},
"from": {
"_id": "507f1f77bcf86cd799439011",
"status": {
"invited": true,
"approved": true,
"registered": true,
"confirmed": true
},
"invite": "https://example.com/path/to/object",
"name": "<string>",
"username": "user@example.com",
"emailNormal": "user@example.com"
},
"type": "<string>",
"workRequest": {
"_id": "507f1f77bcf86cd799439011",
"auto": true,
"autosubs": true,
"dualLanguages": true,
"aspectRatio": "<string>",
"status": "<string>",
"from": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"assetType": "<string>",
"assetCategory": "<string>",
"due": {
"date": 123,
"tz": "<string>"
},
"deliveryDeadline": {
"date": 123,
"tz": "<string>"
},
"autoMode": true,
"language": "<string>",
"territory": "<string>",
"dng": {
"dialogue": [
"<string>"
],
"graphics": [
"<string>"
],
"narration": [
"<string>"
]
},
"audioFile": "<unknown>",
"instructions": "<string>",
"urls": {
"view": "https://example.com/path/to/object",
"manage": "https://example.com/path/to/object",
"invite": "https://example.com/path/to/object",
"translate": "https://example.com/path/to/object"
},
"files": [
{
"name": "<string>",
"files": "<unknown>"
}
],
"uses": {
"items": [
"<string>"
],
"details": {}
},
"dcp": {
"items": [
"<string>"
],
"details": {}
},
"recipients": {},
"shippingAddresses": {},
"project": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"estimate": {
"base": {
"graphics": 123,
"narration": 123,
"scripts": 123,
"dubbing": 123,
"subtitling": 123,
"hybrid": 123,
"encoding": 123,
"autosubs": 123,
"autogfx": 123
},
"applied": {
"graphics": 123,
"narration": 123,
"scripts": 123,
"dubbing": 123,
"subtitling": 123,
"hybrid": 123,
"encoding": 123,
"autosubs": 123,
"autogfx": 123,
"files": 123,
"total": 123
}
},
"materials": [
{
"name": "<string>",
"complete": true,
"approved": true,
"files": [
{
"id": "<string>",
"url": "https://example.com/path/to/object",
"name": "<string>",
"uploadedAt": 123,
"rootId": "<string>",
"version": 123,
"isCurrentVersion": true,
"previousVersionId": "<unknown>"
}
],
"changeRequests": [
{
"id": "<string>",
"_id": "<string>",
"_optimistic": true,
"fileId": "<string>",
"body": "<string>",
"status": "<string>",
"user": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "user@example.com"
},
"requestedBy": {
"_id": "507f1f77bcf86cd799439011",
"email": "user@example.com"
},
"requestedAt": 123,
"created": 123,
"replies": [
{
"id": "<string>",
"_id": "<string>",
"_optimistic": true,
"replyTo": "<string>",
"body": "<string>",
"user": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "user@example.com"
},
"created": 123,
"editedAt": 123
}
],
"editedAt": 123
}
]
}
],
"rejections": "<unknown>",
"history": [
{
"date": 123,
"user": {
"_id": "507f1f77bcf86cd799439011",
"emailNormal": "user@example.com",
"name": "<string>",
"groups": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>"
}
]
},
"status": "<string>",
"reason": "<string>"
}
],
"reason": "<string>",
"graphicsTranslation": "507f1f77bcf86cd799439011",
"translation": "507f1f77bcf86cd799439011",
"tags": "<unknown>"
},
"projects": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>"
}
],
"assets": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"project": "507f1f77bcf86cd799439011",
"type": "<string>",
"notifyUrl": "https://example.com/path/to/object"
}
],
"urls": {
"view": "https://example.com/path/to/object",
"manage": "https://example.com/path/to/object",
"invite": "https://example.com/path/to/object",
"translate": "https://example.com/path/to/object"
},
"assetTypes": [
"<string>"
]
},
"type": "<string>",
"title": "<string>",
"emailSubject": "<string>",
"read": true,
"viewed": true,
"sent": true,
"added": 123,
"created": 123,
"$links": {
"self": "//example.com/path/to/object"
}
}Notifications
Get a notification
GET
/
notifications
/
{id}
Get a notification
Authorizations
BasicAuthBearerAuth
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Response
OK
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I